ISXEQ2 - Bug #1543

${ReplyDialog.Text} Makes Game Window Crush.
2015-12-16 01:33 AM - lixleon

Status: Resolved
Priority: Normal
Assignee: Amadeus
Category: Crash

Target version:

vbulletin_issue_id:

Description
as title.

History

#1 - 2015-12-16 08:03 AM - bjcasey
http://pastebin.com/TS89hjkY

#2 - 2015-12-16 08:05 AM - Amadeus
- Category set to Crash
- Status changed from New to In Progress

- Assignee set to Amadeus

#3 - 2015-12-16 02:36 PM - lixleon

while you are fixing this bug Amadeus, any chance get enhancement for read the List as well? A new fight changed the script since yesterday patch,
should be making a choice from replydialog window, the selection is random, pretty much impossible to code if can't get exactly value from the
selection.

thank you very much for making this issue in progress

#4 - 2015-12-16 03:05 PM - Amadeus

| don't really know what you're talking about.  You're talking about something specific that | haven't seen. You need to provide more details and/or
give me a screenshot.

#5 - 2015-12-16 03:46 PM - bjcasey

| think he is talking about this:
https://forums.daybreakgames.com/eqg2/index.php?threads/kralet-penumbra-uzula-deep-event-heroic-final-named.566078/page-2#post-6294801

#6 - 2015-12-16 04:12 PM - lixleon

Yes, thats what | want to say, thank BJ help me link this.

They used to be using proxyactor coversation way to answer the question, thats fine for me. while they changed the way to replydialog, | dont know
how to deal with it now.

Sorry for my bad english.
#7 - 2015-12-16 04:37 PM - Amadeus
Well, | could probably add something; however, | would need to have a way of seeing a reply dialog that uses the same functionality and is easy for

me to create multiple times to test, etc.

#8 - 2015-12-16 05:08 PM - lixleon

The best way to test this, | think is clipboard in guild hall when you are trying to do rush order. Both they are using replydialog.

#9 - 2015-12-16 06:52 PM - Amadeus

- Status changed from In Progress to Resolved
http://pastebin.com/TS89hjkY
https://forums.daybreakgames.com/eq2/index.php?threads/kralet-penumbra-uzula-deep-event-heroic-final-named.566078/page-2#post-6294801

This crash bug should be fixed. Also, | implimented the requested feature -- see patch notes below (and knowledgebase article):

December 16, 2015
[20151208.0005]
* The GetOptions MEMBER of the eq2uielement datatype will now work with "List" type objects
* Added new MEMBER to the 'replydialog' datatype:
1. Replies (egq2uielement) [This will be a "List" type eg2uielement]
* Added new Knowledgebase Article: "How to acquire all ReplyDialog window reply options"
> https://forge.isxgames.com/projects/isxeq2/knowledgebase/articles/22
